---
gitea_urls:
  api: https://git.coopcloud.tech/api/v1
  download: https://git.coopcloud.tech/
  skip_tls_verify: false

before:
  hooks:
    - go mod tidy

builds:
  - id: abra
    binary: abra
    dir: cmd/abra
    env:
      - CGO_ENABLED=0
    goos:
      - linux
      - darwin
    goarch:
      - 386
      - amd64
      - arm
      - arm64
    goarm:
      - 5
      - 6
      - 7
    ldflags:
      - "-X 'main.Commit={{ .Commit }}'"
      - "-X 'main.Version={{ .Version }}'"
      - "-s"
      - "-w"

  - id: kadabra
    binary: kadabra
    dir: cmd/kadabra
    env:
      - CGO_ENABLED=0
    goos:
      - linux
      - darwin
    goarch:
      - 386
      - amd64
      - arm
      - arm64
    goarm:
      - 5
      - 6
      - 7
    gcflags:
      - "all=-l -B"
    ldflags:
      - "-X 'main.Commit={{ .Commit }}'"
      - "-X 'main.Version={{ .Version }}'"
      - "-s"
      - "-w"

checksum:
  name_template: "checksums.txt"

snapshot:
  name_template: "{{ incpatch .Version }}-next"

changelog:
  sort: desc
  filters:
    exclude:
      - "^Merge"
      - "^Revert"
      - "^WIP:"
      - "^chore(deps):"
      - "^style:"
      - "^test:"
      - "^tests:"
